/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: InterfaceNamesHelper.java 605 2006-06-14 11:28:46Z ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.util;

/**
 * @version $Rev: 605 $ $Date: 2006-06-14 13:28:46 +0200 (mer., 14 juin 2006) $
 * @since Petals 1.0
 * @author <a href="mailto:rmarins@fossilec.com">Rafael Marins</a>
 */
public final class InterfaceNamesHelper {

    /**
     * Platform Component :: Repository Service
     */
    public static final String PLATFORM_REPOSITORY_NAME = "repository";

    /**
     * Global Component :: monolog Logger
     */
    public static final String LOGGER_NAME = "logger";

    /**
     * Global Component :: monolog factory
     */
    public static final String MONOLOG_FACTORY_NAME = "monolog-factory";

    /**
     * Platform Component :: Loader Service
     */
    public static final String PLATFORM_CLASSLOADING_NAME = "classloader";
    
    /**
     * Kernel Component :: Distributed JMX Server Manager
     */
    public static final String KERNEL_DISTJMXSERVER_NAME = "dist-jmx-server";

    /**
     * JBI Container :: Component Framework
     */
    public static final String JBI_FRAMEWORK_NAME = "framework";

    /**
     * JBI Container :: JMX Agent Admin
     */
    public static final String JBI_LIFECYCLEMANAGER_NAME = "lifecyclemanager";

    /**
     * JMX Agent :: MBean Server Admin
     */
    public static final String JMXAGENT_MBEANSERVER_NAME = "mbean-server";

    /**
     * JBI Container :: Messaging Framework
     */
    public static final String JBI_MESSAGING_NAME = "messaging";

    /**
     * JBI Container :: Registry Framework
     */
    public static final String JBI_REGISTRY_NAME = "registry";

    /**
     * JBI Container :: Endpoint Service Framework
     */
    public static final String JBI_ENDPOINTSERVICE_NAME = "endpoint-service";
    
    /**
     * JBI Container :: Router
     */
    public static final String JBI_ROUTER_NAME = "router";

    /**
     * JBI Container :: Address Resolver
     */
    public static final String JBI_ADDRESSRESOLVER_NAME = "addressResolver";

    /**
     * JBI Container :: Connection Manager
     */
    public static final String JBI_CONNECTION_NAME = "connection";

    /**
     * JBI Container :: Transporter
     */
    public static final String JBI_TRANSPORTER_NAME = "transporter";

    /**
     * JBI Container :: Installation
     */
    public static final String JBI_INSTALLATION_NAME = "installation";

    /**
     * JBI Container :: Deployment
     */
    public static final String JBI_DEPLOYMENT_NAME = "deployment";

    /**
     * JBI Container :: Recovery
     */
    public static final String JBI_SYSTEMSTATE_NAME = "systemstate";

    /**
     * JBI Container :: Admin
     */
    public static final String JBI_ADMIN_NAME = "admin";

    /**
     * No constructor for this class.
     */
    private InterfaceNamesHelper() {
        super();
    }

}
