/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 ? EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: NamingHelper.java,v 1.2 2005/07/22 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.util;

import javax.naming.CompositeName;
import javax.naming.InvalidNameException;
import javax.naming.Name;
import javax.xml.namespace.QName;

/**
 * Class managing mapping between String and QName
 * 
 * @author Adrien LOUIS - EBM WebSourcing
 * 
 */
public class NamingHelper {

    /**
     * @param qn
     * @return
     */
    public static Name QNameToName(QName qn) {
        return StringToName(QNameToString(qn));
    }

    public static QName NameToQName(Name n) {
        return StringToQName(NameToString(n));
    }

    public static String QNameToString(QName qn) {
        if (!"".equals(qn.getNamespaceURI())) {
            return "{" + qn.getNamespaceURI() + "}" + qn.getLocalPart();
        } else {
            return qn.getLocalPart();
        }
    }

    public static String NameToString(Name n) {
        return (n != null ? n.toString() : null);
    }

    public static QName StringToQName(String s) {
        return QName.valueOf(s);
    }

    public static Name StringToName(String s) {
        try {
            return new CompositeName(s);
        } catch (InvalidNameException e) {
            return null;
        }
    }

}
