/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: StringHelper.java 154 2006-03-27 15:30:10Z ofabre $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.util;

/**
 * 
 * @author ofabre - EBM Websourcing
 * 
 */
public final class StringHelper {

    private StringHelper() {
        super();
    }

    /**
     * Test the equality of the specified strings. test is : ( (a==b==null) ||
     * a.equals(b) )
     * 
     * @param a
     * @param b
     * @return
     */
    public static boolean equal(String a, String b) {
        if (a != null) {
            return a.equals(b);
        } else {
            return b == null;
        }
    }

    /**
     * Same as equal, with ignoreCase
     * 
     * @param a
     * @param b
     * @return
     */
    public static boolean equalIgnoreCase(String a, String b) {
        if (a != null) {
            return a.equalsIgnoreCase(b);
        } else {
            return b == null;
        }
    }

    /**
     * Check if the given String is empty or null.
     * 
     * @param s
     *            the <code>String</code> to analyse
     * @return true if the <code>String</code> is empty or null, false
     *         otherwise
     */
    public static boolean isEmpty(String s) {
        if (s == null) {
            return true;
        }

        if (s.trim().equals("")) {
            return true;
        }

        return false;
    }
}
